## mars.mips.dump
Class MIFDumpFormat

    java.lang.Object
      mars.mips.dump.MIFDumpFormat

    public class MIFDumpFormat

extends Object

The Memory Initialization File (.mif) VHDL-supported file format This is documented for the Altera platform at www.altera.com/support/software/nativelink/quartus2/glossary/def_mif.html.

Author:
  Pete Sanderson

Constructor Summary
`MIFDumpFormat()` Constructor.

Method Summary
`void` `dumpMemoryRange(File file, int firstAddress, int lastAddress)` Write MIPS memory contents according to the Memory Initialization File (MIF) specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIFDumpFormat

    public MIFDumpFormat()

  Constructor. File extention is "mif".

Method Detail

### dumpMemoryRange

    public void dumpMemoryRange(File file,
                                int firstAddress,
                                int lastAddress)
                         throws AddressErrorException,
                                IOException

  Write MIPS memory contents according to the Memory Initialization File (MIF) specification.

  Parameters:
    `file` - File in which to store MIPS memory contents.
    `firstAddress` - first (lowest) memory address to dump. In bytes but must be on word boundary.
    `lastAddress` - last (highest) memory address to dump. In bytes but must be on word boundary. Will dump the word that starts at this address.
  Throws:
    `AddressErrorException` - if firstAddress is invalid or not on a word boundary.
    `IOException` - if error occurs during file output.